Summary: Graphic primitives, rotozoomer, framerate control and image filters
Name: SDL_gfx
Version: 2.0.18
Release: 1
License: LGPLv2
Group: System Environment/Libraries
URL: http://www.ferzkopp.net/Software/SDL_gfx-2.0/
Source0: http://www.ferzkopp.net/Software/SDL_gfx-2.0/%{name}-%{version}.tar.gz
Patch0: %{name}-%{version}-aix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: SDL-devel >= 1.2.13
Requires: SDL >= 1.2.13

%description
The SDL_gfx library offers several components: Graphic Primitives,
Rotozoomer, Framerate control, and MMX image filters. The Primitives
component provides basic drawing routines: pixels, hlines, vlines, lines,
aa-lines, rectangles, circles, ellipses, trigons, polygons, Bezier curves,
and an 8x8 pixmap font for drawing onto any SDL Surface. Full alpha
blending, hardware surface locking, and all surface depths are supported.
The Rotozoomer can use interpolation for high quality output.


%package devel
Summary: Header files and static libraries for SDL_gfx
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: SDL-devel >= 1.2.13

%description devel
This package contains the header files and static libraries for SDL_gfx.
If you want to develop programs using SDL_gfx, you will need to install this
package.


%prep
%setup -q
%patch0


%build
# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="xlc -q64"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static \
    --disable-mmx
make %{?_smp_mflags}

cp .libs/libSDL_gfx.so.0 .
make distclean

# now build the 32-bit version
export CC="xlc"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static \
    --disable-mmx
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"

# create the shared library with 32-bit and 64-bit shared objects
rm -f ${RPM_BUILD_ROOT}%{_libdir}/libSDL_gfx.a
${AR} -rv ${RPM_BUILD_ROOT}%{_libdir}/libSDL_gfx.a .libs/libSDL_gfx.so.0
${AR} -q  ${RPM_BUILD_ROOT}%{_libdir}/libSDL_gfx.a ./libSDL_gfx.so.0

(
  cd ${RPM_BUILD_ROOT}
  for dir in include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc LICENSE README AUTHORS COPYING
%{_libdir}/*.a
/usr/lib/*.a


%files devel
%defattr(-,root,system,-)
%{_includedir}/*
%{_libdir}/*.la
/usr/include/*
/usr/lib/*.la


%changelog
* Mon Dec 22 2008 Michael Perzl <michael@perzl.org> - 2.0.18-1
- updated to version 2.0.18

* Sat Nov 01 2008 Michael Perzl <michael@perzl.org> - 2.0.17-1
- first version for AIX5L v5.1 and higher
